SoapySDR: Errors.h File Reference

| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Loading...
Searching...
No Matches
Macros | Functions
Errors.h File Reference
`#include <SoapySDR/Config.h>`

Go to the source code of this file.

## Macros
#define | SOAPY_SDR_TIMEOUT (-1)
#define | SOAPY_SDR_STREAM_ERROR (-2)
#define | SOAPY_SDR_CORRUPTION (-3)
#define | SOAPY_SDR_OVERFLOW (-4)
#define | SOAPY_SDR_NOT_SUPPORTED (-5)
#define | SOAPY_SDR_TIME_ERROR (-6)
#define | SOAPY_SDR_UNDERFLOW (-7)

## Functions
SOAPY_SDR_API const char * | SoapySDR_errToStr (const int errorCode)

## Detailed Description

Error codes used in the device API.

Copyright
  Copyright (c) 2014-2015 Josh Blum SPDX-License-Identifier: BSL-1.0

## Macro Definition Documentation

## ◆ SOAPY_SDR_CORRUPTION

#define SOAPY_SDR_CORRUPTION (-3)

Returned when read has data corruption. For example, the driver saw a malformed packet.

## ◆ SOAPY_SDR_NOT_SUPPORTED

#define SOAPY_SDR_NOT_SUPPORTED (-5)

Returned when a requested operation or flag setting is not supported by the underlying implementation.

## ◆ SOAPY_SDR_OVERFLOW

#define SOAPY_SDR_OVERFLOW (-4)

Returned when read has an overflow condition. For example, and internal buffer has filled.

## ◆ SOAPY_SDR_STREAM_ERROR

#define SOAPY_SDR_STREAM_ERROR (-2)

Returned for non-specific stream errors.

## ◆ SOAPY_SDR_TIME_ERROR

#define SOAPY_SDR_TIME_ERROR (-6)

Returned when a the device encountered a stream time which was expired (late) or too early to process.

## ◆ SOAPY_SDR_TIMEOUT

#define SOAPY_SDR_TIMEOUT (-1)

Returned when read has a timeout.

## ◆ SOAPY_SDR_UNDERFLOW

#define SOAPY_SDR_UNDERFLOW (-7)

Returned when write caused an underflow condition. For example, a continuous stream was interrupted.

## Function Documentation

## ◆ SoapySDR_errToStr()

SOAPY_SDR_API const char * SoapySDR_errToStr | ( | const int | errorCode | ) |

Convert a error code to a string for printing purposes. If the error code is unrecognized, errToStr returns "UNKNOWN".

Parameters

  errorCode | a negative integer return code

Returns
  a pointer to a string representing the error